From 03e39d0365edb7fa0db031fac85976818ba00851 Mon Sep 17 00:00:00 2001
From: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
Date: Fri, 27 Jul 2007 17:23:02 -0500
Subject: [PATCH] Moved sync() from m5329evb.c to include/asm-m68k/io.h

Signed-off-by: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
---
 board/freescale/m5329evb/m5329evb.c |    9 ---------
 include/asm-m68k/io.h               |    8 ++++++++
 2 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/board/freescale/m5329evb/m5329evb.c b/board/freescale/m5329evb/m5329evb.c
index 07a02c2..242eb1a 100644
--- a/board/freescale/m5329evb/m5329evb.c
+++ b/board/freescale/m5329evb/m5329evb.c
@@ -86,12 +86,3 @@ int testdram(void)
 
 	return (0);
 }
-
-#ifdef CFG_FLASH_CFI
-void sync(void)
-{
-	/* This sync function is PowerPC intruction,
-	   coldfire does not have this instruction. Dummy function */
-}
-#endif				/* CFG_FLASH_CFI */
-
diff --git a/include/asm-m68k/io.h b/include/asm-m68k/io.h
index 8dea02a..9b1a471 100644
--- a/include/asm-m68k/io.h
+++ b/include/asm-m68k/io.h
@@ -211,4 +211,12 @@ extern inline void out_be32(volatile unsigned *addr, int val)
 	*addr = val;
 }
 
+static inline void sync(void)
+{
+	/*  This sync function is PowerPC or other architecture instruction,
+	 * coldfire does not have this instruction.
+	 * Dummy function. Added for compatibility (CFI driver ...)
+	 */
+}
+
 #endif				/* __ASM_M68K_IO_H__ */
-- 
1.5.2

